| Script for testing the camera interface
| Initial settings
delete_signals | Erase all the signals in the waveform window
clpr log    | Removing existing log file
log log
set_mode functional
restart 
stepsize 20 ns
clock clk 0 1		| Clock with 40 ns cycle time
 
| Vector Definitions
| 
| Add your vector definition commands here

vector pad_camin PAD_CAM[3:0] 
radix hex pad_camin

vector camin CAMDATAIN[7:0] 
radix hex camin 
 
vector camout CAMDATAOUT[7:0] 
radix hex camout 
 
vector rowaddr ROWADDR[7:0] 
radix hex rowaddr

vector coladdr COLADDR[7:0]
radix hex coladdr

vector wr_cnt h4/wr_cnt[6:0]  | Internal counter in FIFO
radix hex wr_cnt

vector re_cnt h4/re_cnt[6:0]  | Internal counter in FIFO
radix hex re_cnt

| Watched Signals and Vectors
| 
| Define your signal and vector watch list here

watch pad_camin pad_fst pad_qck busy 
watch camin camout rowaddr coladdr write
watch wrfifo readfifo empty clk wr_cnt re_cnt 

assign pad_qck 0
assign pad_fst 0
assign busy 0
assign pad_camin 0\h
cycle
| Start with a FST which causes a reset
assign pad_fst 1
cycle 4

assign pad_fst 0
cycle 4
| Input 52
assign pad_camin 5\h
sim 30ns
assign pad_qck 1
sim 32ns

assign pad_camin 2\h
sim 30ns
assign pad_qck 0
sim 32ns 
| Input 31
assign pad_camin 3\h
sim 30ns
assign pad_qck 1
sim 32ns

assign pad_camin 1\h
sim 30ns
assign pad_qck 0
sim 32ns
| Input 21
assign pad_camin 2\h
sim 30ns
assign pad_qck 1
sim 32ns

assign pad_camin 1\h
sim 30ns
assign pad_qck 0
sim 32ns
| Input 12
assign pad_camin 1\h
sim 30ns
assign pad_qck 1
sim 32ns

assign pad_camin 2\h
sim 30ns
assign pad_qck 0
sim 32ns

| Turn on the memory busy signal
assign busy 1

| Input 56
assign pad_camin 5\h
sim 30ns
assign pad_qck 1
sim 32ns

assign pad_camin 6\h
sim 30ns
assign pad_qck 0
sim 32ns
| Input 55
assign pad_camin 5\h
sim 30ns
assign pad_qck 1
sim 32ns
| Turn off the memory busy signal
assign busy 0
assign pad_camin 5\h
sim 30ns
assign pad_qck 0
sim 1000



