-- ACTIVE-CAD-2-VHDL, 2.5.5.70, Wed Oct 27 14:17:22 1999

library IEEE;
use IEEE.std_logic_1164.all;
-- Simulation netlist only
-- synopsys translate_off
library UNISIM;
use UNISIM.vcomponents.all;
-- synopsys translate_on

entity CAMERAIN is port (
	CAMDATAOUT : out STD_LOGIC_VECTOR (7 downto 0);
	COLADDR : out STD_LOGIC_VECTOR (7 downto 0);
	ROWADDR : out STD_LOGIC_VECTOR (7 downto 0);
	BUSY : in STD_LOGIC;
	CLK : in STD_LOGIC;
	WRITE : out STD_LOGIC
); end CAMERAIN;

architecture SCHEMATIC of CAMERAIN is

--COMPONENTS

component REG4 port (
	D_IN : in STD_LOGIC_VECTOR (3 downto 0);
	Q_OUT : out STD_LOGIC_VECTOR (3 downto 0);
	CLOCK : in STD_LOGIC
); end component;

component BUFGS port (
	I : in STD_LOGIC;
	O : out STD_LOGIC
); end component;

component FD port (
	C : in STD_LOGIC;
	D : in STD_LOGIC;
	Q : out STD_LOGIC
); end component;

component PADIN4 port (
	P : inout STD_LOGIC_VECTOR (3 downto 0)
); end component;

component AND2B1 port (
	I0 : in STD_LOGIC;
	I1 : in STD_LOGIC;
	O : out STD_LOGIC
); end component;

component IBUF port (
	I : in STD_LOGIC;
	O : out STD_LOGIC
); end component;

component IPAD port (
	IPAD : out STD_LOGIC
); end component;

component BUFIN4 port (
	P : in STD_LOGIC_VECTOR (3 downto 0);
	I : out STD_LOGIC_VECTOR (3 downto 0)
); end component;

component INV port (
	I : in STD_LOGIC;
	O : out STD_LOGIC
); end component;

component CAMERA_TEST port (
	ADDR_LOW : out STD_LOGIC_VECTOR (7 downto 0);
	ADDR_HIGH : out STD_LOGIC_VECTOR (7 downto 0);
	BUSY : in STD_LOGIC;
	CLK : in STD_LOGIC;
	EMPTY : in STD_LOGIC;
	FST : in STD_LOGIC;
	RE : out STD_LOGIC;
	WRITE : out STD_LOGIC
); end component;

component FIFO_128 port (
	DATAIN : in STD_LOGIC_VECTOR (7 downto 0);
	DATAOUT : out STD_LOGIC_VECTOR (7 downto 0);
	CLK : in STD_LOGIC;
	READ : in STD_LOGIC;
	RESET : in STD_LOGIC;
	WRITE : in STD_LOGIC;
	EMPTY : out STD_LOGIC
); end component;

--SIGNALS

signal PAD_QCK : STD_LOGIC;
signal X36_NET00018_X95 : STD_LOGIC;
signal X36_NET00019_X95 : STD_LOGIC;
signal X36_NET00072_X95 : STD_LOGIC;
signal NEW_QCK : STD_LOGIC;
signal FST : STD_LOGIC;
signal WRFIFO : STD_LOGIC;
signal OLD_QCK : STD_LOGIC;
signal PAD_FST : STD_LOGIC;
signal X36_NET00204_X95 : STD_LOGIC;
signal X36_NET00020_X95 : STD_LOGIC;
signal QCK : STD_LOGIC;
signal QCKB : STD_LOGIC;
signal EMPTY : STD_LOGIC;
signal READ : STD_LOGIC;
signal NET00001 : STD_LOGIC;
signal NET00002 : STD_LOGIC;
signal NET00003 : STD_LOGIC;
signal NET00004 : STD_LOGIC;
signal NET00013 : STD_LOGIC;
signal NET00014 : STD_LOGIC;
signal NET00015 : STD_LOGIC;
signal NET00016 : STD_LOGIC;
signal NET00021 : STD_LOGIC;
signal NET00022 : STD_LOGIC;
signal NET00023 : STD_LOGIC;
signal NET00024 : STD_LOGIC;
signal NET00025 : STD_LOGIC;
signal NET00026 : STD_LOGIC;
signal NET00027 : STD_LOGIC;
signal NET00028 : STD_LOGIC;
signal NET00045 : STD_LOGIC;
signal NET00046 : STD_LOGIC;
signal NET00047 : STD_LOGIC;
signal NET00048 : STD_LOGIC;
signal NET00049 : STD_LOGIC;
signal NET00050 : STD_LOGIC;
signal NET00051 : STD_LOGIC;
signal NET00052 : STD_LOGIC;

signal CAMDATAIN : STD_LOGIC_VECTOR (7 downto 0);
signal PAD_CAM : STD_LOGIC_VECTOR (3 downto 0);

--ATRIBUTES

attribute BUS_WIDTH : string;
attribute STYLE : string;
attribute USE_RPM : string;
attribute MODTYPE : string;
attribute OPTYPE : string;
attribute EXT : string;
attribute IN_TYPE : string;

attribute BUS_WIDTH of L27: label is "4";
attribute STYLE of L27: label is "CLB_FD";
attribute USE_RPM of L27: label is "FALSE";
attribute MODTYPE of L27: label is "DATA_REG";
attribute BUS_WIDTH of L31: label is "4";
attribute STYLE of L31: label is "CLB_FD";
attribute USE_RPM of L31: label is "FALSE";
attribute MODTYPE of L31: label is "DATA_REG";
attribute BUS_WIDTH of L32: label is "4";
attribute STYLE of L32: label is "CLB_FD";
attribute USE_RPM of L32: label is "FALSE";
attribute MODTYPE of L32: label is "DATA_REG";
attribute BUS_WIDTH of L13: label is "4";
attribute OPTYPE of L13: label is "IN";
attribute MODTYPE of L13: label is "PAD";
attribute EXT of X36_I810: label is "IPAD";
attribute BUS_WIDTH of L14: label is "4";
attribute IN_TYPE of L14: label is "BUF";
attribute MODTYPE of L14: label is "IN";
attribute EXT of X36_I875: label is "IPAD";
attribute BUS_WIDTH of L15: label is "4";
attribute STYLE of L15: label is "CLB_FD";
attribute USE_RPM of L15: label is "FALSE";
attribute MODTYPE of L15: label is "DATA_REG";
attribute BUS_WIDTH of L1: label is "4";
attribute STYLE of L1: label is "CLB_FD";
attribute USE_RPM of L1: label is "FALSE";
attribute MODTYPE of L1: label is "DATA_REG";
attribute BUS_WIDTH of L33: label is "4";
attribute STYLE of L33: label is "CLB_FD";
attribute USE_RPM of L33: label is "FALSE";
attribute MODTYPE of L33: label is "DATA_REG";
attribute BUS_WIDTH of L30: label is "4";
attribute STYLE of L30: label is "CLB_FD";
attribute USE_RPM of L30: label is "FALSE";
attribute MODTYPE of L30: label is "DATA_REG";



begin

--SIGNAL ASSIGNMENTS


--COMPONENT INSTANCES

L27 : REG4 port map(
	D_IN(3) => NET00001,
	D_IN(2) => NET00002,
	D_IN(1) => NET00003,
	D_IN(0) => NET00004,
	Q_OUT(3) => NET00021,
	Q_OUT(2) => NET00022,
	Q_OUT(1) => NET00023,
	Q_OUT(0) => NET00024,
	CLOCK => QCKB
);
L31 : REG4 port map(
	D_IN(3) => NET00021,
	D_IN(2) => NET00022,
	D_IN(1) => NET00023,
	D_IN(0) => NET00024,
	Q_OUT(3) => NET00013,
	Q_OUT(2) => NET00014,
	Q_OUT(1) => NET00015,
	Q_OUT(0) => NET00016,
	CLOCK => CLK
);
L32 : REG4 port map(
	D_IN(3) => NET00025,
	D_IN(2) => NET00026,
	D_IN(1) => NET00027,
	D_IN(0) => NET00028,
	Q_OUT(3) => CAMDATAIN(7),
	Q_OUT(2) => CAMDATAIN(6),
	Q_OUT(1) => CAMDATAIN(5),
	Q_OUT(0) => CAMDATAIN(4),
	CLOCK => CLK
);
X36_I874 : BUFGS port map(
	I => X36_NET00072_X95,
	O => QCK
);
X36_I864 : FD port map(
	C => CLK,
	D => X36_NET00018_X95,
	Q => X36_NET00019_X95
);
X36_I865 : FD port map(
	C => CLK,
	D => X36_NET00019_X95,
	Q => NEW_QCK
);
L13 : PADIN4 port map(
	P(3) => PAD_CAM(3),
	P(2) => PAD_CAM(2),
	P(1) => PAD_CAM(1),
	P(0) => PAD_CAM(0)
);
X36_I867 : AND2B1 port map(
	I0 => OLD_QCK,
	I1 => NEW_QCK,
	O => WRFIFO
);
X36_I876 : IBUF port map(
	I => PAD_QCK,
	O => X36_NET00072_X95
);
X36_I810 : IPAD port map(
	IPAD => PAD_FST
);
L14 : BUFIN4 port map(
	P(3) => PAD_CAM(3),
	P(2) => PAD_CAM(2),
	P(1) => PAD_CAM(1),
	P(0) => PAD_CAM(0),
	I(3) => NET00001,
	I(2) => NET00002,
	I(1) => NET00003,
	I(0) => NET00004
);
X36_I866 : FD port map(
	C => CLK,
	D => NEW_QCK,
	Q => OLD_QCK
);
X36_I875 : IPAD port map(
	IPAD => PAD_QCK
);
X36_I815 : IBUF port map(
	I => PAD_FST,
	O => X36_NET00020_X95
);
X36_I859 : FD port map(
	C => CLK,
	D => X36_NET00204_X95,
	Q => FST
);
X36_I817 : FD port map(
	C => CLK,
	D => X36_NET00020_X95,
	Q => X36_NET00204_X95
);
X36_I862 : INV port map(
	I => QCK,
	O => QCKB
);
L15 : REG4 port map(
	D_IN(3) => NET00001,
	D_IN(2) => NET00002,
	D_IN(1) => NET00003,
	D_IN(0) => NET00004,
	Q_OUT(3) => NET00049,
	Q_OUT(2) => NET00050,
	Q_OUT(1) => NET00051,
	Q_OUT(0) => NET00052,
	CLOCK => QCK
);
L1 : REG4 port map(
	D_IN(3) => NET00049,
	D_IN(2) => NET00050,
	D_IN(1) => NET00051,
	D_IN(0) => NET00052,
	Q_OUT(3) => NET00045,
	Q_OUT(2) => NET00046,
	Q_OUT(1) => NET00047,
	Q_OUT(0) => NET00048,
	CLOCK => QCKB
);
X36_I863 : FD port map(
	C => CLK,
	D => QCKB,
	Q => X36_NET00018_X95
);
L33 : REG4 port map(
	D_IN(3) => NET00013,
	D_IN(2) => NET00014,
	D_IN(1) => NET00015,
	D_IN(0) => NET00016,
	Q_OUT(3) => CAMDATAIN(3),
	Q_OUT(2) => CAMDATAIN(2),
	Q_OUT(1) => CAMDATAIN(1),
	Q_OUT(0) => CAMDATAIN(0),
	CLOCK => CLK
);
L30 : REG4 port map(
	D_IN(3) => NET00045,
	D_IN(2) => NET00046,
	D_IN(1) => NET00047,
	D_IN(0) => NET00048,
	Q_OUT(3) => NET00025,
	Q_OUT(2) => NET00026,
	Q_OUT(1) => NET00027,
	Q_OUT(0) => NET00028,
	CLOCK => CLK
);
U1 : CAMERA_TEST port map(
	ADDR_LOW(7) => COLADDR(7),
	ADDR_LOW(6) => COLADDR(6),
	ADDR_LOW(5) => COLADDR(5),
	ADDR_LOW(4) => COLADDR(4),
	ADDR_LOW(3) => COLADDR(3),
	ADDR_LOW(2) => COLADDR(2),
	ADDR_LOW(1) => COLADDR(1),
	ADDR_LOW(0) => COLADDR(0),
	ADDR_HIGH(7) => ROWADDR(7),
	ADDR_HIGH(6) => ROWADDR(6),
	ADDR_HIGH(5) => ROWADDR(5),
	ADDR_HIGH(4) => ROWADDR(4),
	ADDR_HIGH(3) => ROWADDR(3),
	ADDR_HIGH(2) => ROWADDR(2),
	ADDR_HIGH(1) => ROWADDR(1),
	ADDR_HIGH(0) => ROWADDR(0),
	BUSY => BUSY,
	CLK => CLK,
	EMPTY => EMPTY,
	FST => FST,
	RE => READ,
	WRITE => WRITE
);
H4 : FIFO_128 port map(
	DATAIN(7) => CAMDATAIN(7),
	DATAIN(6) => CAMDATAIN(6),
	DATAIN(5) => CAMDATAIN(5),
	DATAIN(4) => CAMDATAIN(4),
	DATAIN(3) => CAMDATAIN(3),
	DATAIN(2) => CAMDATAIN(2),
	DATAIN(1) => CAMDATAIN(1),
	DATAIN(0) => CAMDATAIN(0),
	DATAOUT(7) => CAMDATAOUT(7),
	DATAOUT(6) => CAMDATAOUT(6),
	DATAOUT(5) => CAMDATAOUT(5),
	DATAOUT(4) => CAMDATAOUT(4),
	DATAOUT(3) => CAMDATAOUT(3),
	DATAOUT(2) => CAMDATAOUT(2),
	DATAOUT(1) => CAMDATAOUT(1),
	DATAOUT(0) => CAMDATAOUT(0),
	CLK => CLK,
	READ => READ,
	RESET => FST,
	WRITE => WRFIFO,
	EMPTY => EMPTY
);

end SCHEMATIC;