------------------------------------------------------
-- LogiBLOX COMPARE Module "comp7"
-- Created by LogiBLOX version C.18
--    on Mon Oct 25 15:37:37 1999
-- Attributes 
--    MODTYPE = COMPARE
--    BUS_WIDTH = 7
--    STYLE = MAX_SPEED
--    ENCODING = UNSIGNED
------------------------------------------------------
-- This is a behaviorial model only and cannot be synthesized.
------------------------------------------------------
LIBRARY IEEE;
USE IEEE.std_logic_1164.ALL;
LIBRARY logiblox;
USE logiblox.mvlutil.ALL;
USE logiblox.mvlarith.ALL;
USE logiblox.logiblox.ALL;

ENTITY comp7 IS
  PORT(
    A: IN std_logic_vector(6 DOWNTO 0);
    B: IN std_logic_vector(6 DOWNTO 0);
    A_EQ_B: OUT std_logic);
END comp7;

ARCHITECTURE sim OF comp7 IS
    SIGNAL START_PULSE: std_logic := '1';
BEGIN
  PROCESS
    VARIABLE VA: std_logic_vector(6 DOWNTO 0);
    VARIABLE VB: std_logic_vector(6 DOWNTO 0);
    VARIABLE VA_EQ_B: std_logic;
    VARIABLE VA_NE_B: std_logic;
    VARIABLE VA_LT_B: std_logic;
    VARIABLE VA_GT_B: std_logic;
    VARIABLE VA_LE_B: std_logic;
    VARIABLE VA_GE_B: std_logic;
    BEGIN
      VA := stdvec2mvl(A);
      VB := stdvec2mvl(B);
      xb_compare(
          VA,
          VB,
          UNSIGNED,
          VA_EQ_B,
          VA_NE_B,
          VA_LT_B,
          VA_GE_B,
          VA_GT_B,
          VA_LE_B);
      A_EQ_B <= VA_EQ_B;
      IF (START_PULSE='1') THEN
        START_PULSE <= '0' AFTER 1 ns;
      END IF;
      WAIT ON A, B, START_PULSE;
  END PROCESS;
END sim;
