-- ACTIVE-CAD-2-VHDL, 2.5.5.70, Wed Oct 27 14:17:35 1999

library IEEE;
use IEEE.std_logic_1164.all;
-- Simulation netlist only
-- synopsys translate_off
library UNISIM;
use UNISIM.vcomponents.all;
-- synopsys translate_on

entity FIFO_128 is port (
	DATAIN : in STD_LOGIC_VECTOR (7 downto 0);
	DATAOUT : out STD_LOGIC_VECTOR (7 downto 0);
	CLK : in STD_LOGIC;
	READ : in STD_LOGIC;
	RESET : in STD_LOGIC;
	WRITE : in STD_LOGIC;
	EMPTY : out STD_LOGIC
); end FIFO_128;

architecture SCHEMATIC of FIFO_128 is

--COMPONENTS

component DPMEM128 port (
	DI : in STD_LOGIC_VECTOR (7 downto 0);
	A : in STD_LOGIC_VECTOR (6 downto 0);
	DPRA : in STD_LOGIC_VECTOR (6 downto 0);
	SPO : out STD_LOGIC_VECTOR (7 downto 0);
	DPO : out STD_LOGIC_VECTOR (7 downto 0);
	WR_EN : in STD_LOGIC;
	WR_CLK : in STD_LOGIC
); end component;

component COUNT128 port (
	Q_OUT : out STD_LOGIC_VECTOR (6 downto 0);
	CLOCK : in STD_LOGIC;
	CLK_EN : in STD_LOGIC;
	SYNC_CTRL : in STD_LOGIC
); end component;

component OR2 port (
	I0 : in STD_LOGIC;
	I1 : in STD_LOGIC;
	O : out STD_LOGIC
); end component;

component EQUALS port (
	B : in STD_LOGIC_VECTOR (6 downto 0);
	A : in STD_LOGIC_VECTOR (6 downto 0);
	EQUAL : out STD_LOGIC
); end component;

--SIGNALS

signal X36_NET00072_X95 : STD_LOGIC;
signal X36_NET00073_X95 : STD_LOGIC;
signal L1_SPO7_OUT : STD_LOGIC;
signal L1_SPO6_OUT : STD_LOGIC;
signal L1_SPO5_OUT : STD_LOGIC;
signal L1_SPO4_OUT : STD_LOGIC;
signal L1_SPO3_OUT : STD_LOGIC;
signal L1_SPO2_OUT : STD_LOGIC;
signal L1_SPO1_OUT : STD_LOGIC;
signal L1_SPO0_OUT : STD_LOGIC;

signal WR_CNT : STD_LOGIC_VECTOR (6 downto 0);
signal RE_CNT : STD_LOGIC_VECTOR (6 downto 0);

--ATRIBUTES

attribute BUS_WIDTH : string;
attribute DEPTH : string;
attribute MODTYPE : string;
attribute STYLE : string;
attribute USE_RPM : string;
attribute ENCODING : string;
attribute OPTYPE : string;
attribute SYNC_VAL : string;

attribute BUS_WIDTH of L1: label is "8";
attribute DEPTH of L1: label is "128";
attribute MODTYPE of L1: label is "DP_RAM";
attribute STYLE of L1: label is "GATES";
attribute USE_RPM of L1: label is "FALSE";
attribute BUS_WIDTH of L2: label is "7";
attribute ENCODING of L2: label is "BINARY";
attribute MODTYPE of L2: label is "COUNTER";
attribute OPTYPE of L2: label is "UP";
attribute STYLE of L2: label is "MAX_SPEED";
attribute SYNC_VAL of L2: label is "0";
attribute BUS_WIDTH of L3: label is "7";
attribute ENCODING of L3: label is "BINARY";
attribute MODTYPE of L3: label is "COUNTER";
attribute OPTYPE of L3: label is "UP";
attribute STYLE of L3: label is "MAX_SPEED";
attribute SYNC_VAL of L3: label is "0";



begin

--SIGNAL ASSIGNMENTS


--COMPONENT INSTANCES

L1 : DPMEM128 port map(
	DI(7) => DATAIN(7),
	DI(6) => DATAIN(6),
	DI(5) => DATAIN(5),
	DI(4) => DATAIN(4),
	DI(3) => DATAIN(3),
	DI(2) => DATAIN(2),
	DI(1) => DATAIN(1),
	DI(0) => DATAIN(0),
	A(6) => WR_CNT(6),
	A(5) => WR_CNT(5),
	A(4) => WR_CNT(4),
	A(3) => WR_CNT(3),
	A(2) => WR_CNT(2),
	A(1) => WR_CNT(1),
	A(0) => WR_CNT(0),
	DPRA(6) => RE_CNT(6),
	DPRA(5) => RE_CNT(5),
	DPRA(4) => RE_CNT(4),
	DPRA(3) => RE_CNT(3),
	DPRA(2) => RE_CNT(2),
	DPRA(1) => RE_CNT(1),
	DPRA(0) => RE_CNT(0),
	SPO(7) => L1_SPO7_OUT,
	SPO(6) => L1_SPO6_OUT,
	SPO(5) => L1_SPO5_OUT,
	SPO(4) => L1_SPO4_OUT,
	SPO(3) => L1_SPO3_OUT,
	SPO(2) => L1_SPO2_OUT,
	SPO(1) => L1_SPO1_OUT,
	SPO(0) => L1_SPO0_OUT,
	DPO(7) => DATAOUT(7),
	DPO(6) => DATAOUT(6),
	DPO(5) => DATAOUT(5),
	DPO(4) => DATAOUT(4),
	DPO(3) => DATAOUT(3),
	DPO(2) => DATAOUT(2),
	DPO(1) => DATAOUT(1),
	DPO(0) => DATAOUT(0),
	WR_EN => WRITE,
	WR_CLK => CLK
);
L2 : COUNT128 port map(
	Q_OUT(6) => WR_CNT(6),
	Q_OUT(5) => WR_CNT(5),
	Q_OUT(4) => WR_CNT(4),
	Q_OUT(3) => WR_CNT(3),
	Q_OUT(2) => WR_CNT(2),
	Q_OUT(1) => WR_CNT(1),
	Q_OUT(0) => WR_CNT(0),
	CLOCK => CLK,
	CLK_EN => X36_NET00072_X95,
	SYNC_CTRL => RESET
);
L3 : COUNT128 port map(
	Q_OUT(6) => RE_CNT(6),
	Q_OUT(5) => RE_CNT(5),
	Q_OUT(4) => RE_CNT(4),
	Q_OUT(3) => RE_CNT(3),
	Q_OUT(2) => RE_CNT(2),
	Q_OUT(1) => RE_CNT(1),
	Q_OUT(0) => RE_CNT(0),
	CLOCK => CLK,
	CLK_EN => X36_NET00073_X95,
	SYNC_CTRL => RESET
);
X36_I880 : OR2 port map(
	I0 => READ,
	I1 => RESET,
	O => X36_NET00073_X95
);
X36_I874 : OR2 port map(
	I0 => RESET,
	I1 => WRITE,
	O => X36_NET00072_X95
);
U1 : EQUALS port map(
	B(6) => WR_CNT(6),
	B(5) => WR_CNT(5),
	B(4) => WR_CNT(4),
	B(3) => WR_CNT(3),
	B(2) => WR_CNT(2),
	B(1) => WR_CNT(1),
	B(0) => WR_CNT(0),
	A(6) => RE_CNT(6),
	A(5) => RE_CNT(5),
	A(4) => RE_CNT(4),
	A(3) => RE_CNT(3),
	A(2) => RE_CNT(2),
	A(1) => RE_CNT(1),
	A(0) => RE_CNT(0),
	EQUAL => EMPTY
);

end SCHEMATIC;