-- ACTIVE-CAD-2-VHDL, 2.5.5.70, Wed Oct 27 14:17:32 1999

library IEEE;
use IEEE.std_logic_1164.all;
-- Simulation netlist only
-- synopsys translate_off
library UNISIM;
use UNISIM.vcomponents.all;
-- synopsys translate_on

entity MEM2PORT is port (
	ADDRA : in STD_LOGIC_VECTOR (16 downto 0);
	ADDRB : in STD_LOGIC_VECTOR (16 downto 0);
	WRITEDATAB : in STD_LOGIC_VECTOR (7 downto 0);
	READDATA : out STD_LOGIC_VECTOR (7 downto 0);
	CLK : in STD_LOGIC;
	READA : in STD_LOGIC;
	WRITEB : in STD_LOGIC;
	BUSYB : out STD_LOGIC
); end MEM2PORT;

architecture SCHEMATIC of MEM2PORT is

--COMPONENTS

component OUTBUFREG15 port (
	P : out STD_LOGIC_VECTOR (14 downto 0);
	O : in STD_LOGIC_VECTOR (14 downto 0);
	OCLOCK : in STD_LOGIC
); end component;

component OUTTRIREG8 port (
	P : inout STD_LOGIC_VECTOR (7 downto 0);
	O : in STD_LOGIC_VECTOR (7 downto 0);
	I : out STD_LOGIC_VECTOR (7 downto 0);
	OCLOCK : in STD_LOGIC;
	OE : in STD_LOGIC
); end component;

component TRIPAD8 port (
	P : inout STD_LOGIC_VECTOR (7 downto 0)
); end component;

component BUFGLS port (
	I : in STD_LOGIC;
	O : out STD_LOGIC
); end component;

component OPAD port (
	OPAD : in STD_LOGIC
); end component;

component OBUF port (
	I : in STD_LOGIC;
	O : out STD_LOGIC
); end component;

component FD port (
	C : in STD_LOGIC;
	D : in STD_LOGIC;
	Q : out STD_LOGIC
); end component;

component OR2 port (
	I0 : in STD_LOGIC;
	I1 : in STD_LOGIC;
	O : out STD_LOGIC
); end component;

component MEMCONTROL port (
	BUSYB : out STD_LOGIC;
	PORTSELECT : out STD_LOGIC;
	READA : in STD_LOGIC;
	WRITE_L : out STD_LOGIC;
	WRITEB : in STD_LOGIC
); end component;

component INV port (
	I : in STD_LOGIC;
	O : out STD_LOGIC
); end component;

component MUX17 port (
	MA : in STD_LOGIC_VECTOR (16 downto 0);
	MB : in STD_LOGIC_VECTOR (16 downto 0);
	O : out STD_LOGIC_VECTOR (16 downto 0);
	S : in STD_LOGIC
); end component;

component GND port (
	G : out STD_LOGIC
); end component;

component MD1 port (
	O : in STD_LOGIC
); end component;

component PADOUT15 port (
	P : inout STD_LOGIC_VECTOR (14 downto 0)
); end component;

--SIGNALS

signal X36_NET00021_X95 : STD_LOGIC;
signal PADOE : STD_LOGIC;
signal X36_NET00002_X95 : STD_LOGIC;
signal X36_NET00005_X95 : STD_LOGIC;
signal PADWR : STD_LOGIC;
signal WRITE_L : STD_LOGIC;
signal PADCS : STD_LOGIC;
signal PORTSELECT : STD_LOGIC;
signal X36_NET00009_X95 : STD_LOGIC;
signal X36_NET00020_X95 : STD_LOGIC;
signal X36_NET00001_X95 : STD_LOGIC;
signal PADADDR15 : STD_LOGIC;
signal X36_NET00004_X95 : STD_LOGIC;
signal PADADDR16 : STD_LOGIC;

signal PADADDR : STD_LOGIC_VECTOR (14 downto 0);
signal PADDATA : STD_LOGIC_VECTOR (7 downto 0);
signal O : STD_LOGIC_VECTOR (16 downto 0);

--ATRIBUTES

attribute BUS_WIDTH : string;
attribute OUT_TYPE : string;
attribute MODTYPE : string;
attribute IN_TYPE : string;
attribute OPTYPE : string;
attribute EXT : string;
attribute INPUT_BUSSES : string;
attribute ENCODING : string;
attribute STYLE : string;

attribute BUS_WIDTH of L4: label is "15";
attribute OUT_TYPE of L4: label is "REG";
attribute MODTYPE of L4: label is "OUT";
attribute BUS_WIDTH of L2: label is "8";
attribute IN_TYPE of L2: label is "BUF";
attribute OUT_TYPE of L2: label is "TRI_REG";
attribute MODTYPE of L2: label is "BIDI";
attribute BUS_WIDTH of L3: label is "8";
attribute OPTYPE of L3: label is "BIDI";
attribute MODTYPE of L3: label is "PAD";
attribute EXT of X36_I1: label is "OPAD";
attribute EXT of X36_I6: label is "OPAD";
attribute BUS_WIDTH of L6: label is "17";
attribute OPTYPE of L6: label is "TYPE_2";
attribute INPUT_BUSSES of L6: label is "2";
attribute ENCODING of L6: label is "BINARY";
attribute STYLE of L6: label is "MAX_SPEED";
attribute MODTYPE of L6: label is "MUX";
attribute EXT of X36_I9: label is "OPAD";
attribute EXT of X36_I875: label is "OPAD";
attribute BUS_WIDTH of L1: label is "15";
attribute OPTYPE of L1: label is "OUT";
attribute MODTYPE of L1: label is "PAD";



begin

--SIGNAL ASSIGNMENTS


--COMPONENT INSTANCES

L4 : OUTBUFREG15 port map(
	P(14) => PADADDR(14),
	P(13) => PADADDR(13),
	P(12) => PADADDR(12),
	P(11) => PADADDR(11),
	P(10) => PADADDR(10),
	P(9) => PADADDR(9),
	P(8) => PADADDR(8),
	P(7) => PADADDR(7),
	P(6) => PADADDR(6),
	P(5) => PADADDR(5),
	P(4) => PADADDR(4),
	P(3) => PADADDR(3),
	P(2) => PADADDR(2),
	P(1) => PADADDR(1),
	P(0) => PADADDR(0),
	O(14) => O(14),
	O(13) => O(13),
	O(12) => O(12),
	O(11) => O(11),
	O(10) => O(10),
	O(9) => O(9),
	O(8) => O(8),
	O(7) => O(7),
	O(6) => O(6),
	O(5) => O(5),
	O(4) => O(4),
	O(3) => O(3),
	O(2) => O(2),
	O(1) => O(1),
	O(0) => O(0),
	OCLOCK => CLK
);
L2 : OUTTRIREG8 port map(
	P(7) => PADDATA(7),
	P(6) => PADDATA(6),
	P(5) => PADDATA(5),
	P(4) => PADDATA(4),
	P(3) => PADDATA(3),
	P(2) => PADDATA(2),
	P(1) => PADDATA(1),
	P(0) => PADDATA(0),
	O(7) => WRITEDATAB(7),
	O(6) => WRITEDATAB(6),
	O(5) => WRITEDATAB(5),
	O(4) => WRITEDATAB(4),
	O(3) => WRITEDATAB(3),
	O(2) => WRITEDATAB(2),
	O(1) => WRITEDATAB(1),
	O(0) => WRITEDATAB(0),
	I(7) => READDATA(7),
	I(6) => READDATA(6),
	I(5) => READDATA(5),
	I(4) => READDATA(4),
	I(3) => READDATA(3),
	I(2) => READDATA(2),
	I(1) => READDATA(1),
	I(0) => READDATA(0),
	OCLOCK => CLK,
	OE => X36_NET00002_X95
);
L3 : TRIPAD8 port map(
	P(7) => PADDATA(7),
	P(6) => PADDATA(6),
	P(5) => PADDATA(5),
	P(4) => PADDATA(4),
	P(3) => PADDATA(3),
	P(2) => PADDATA(2),
	P(1) => PADDATA(1),
	P(0) => PADDATA(0)
);
X36_I11 : BUFGLS port map(
	I => X36_NET00021_X95,
	O => X36_NET00002_X95
);
X36_I1 : OPAD port map(
	OPAD => PADOE
);
X36_I2 : OBUF port map(
	I => X36_NET00020_X95,
	O => PADOE
);
X36_I3 : FD port map(
	C => CLK,
	D => WRITE_L,
	Q => X36_NET00021_X95
);
X36_I4 : OR2 port map(
	I0 => CLK,
	I1 => X36_NET00002_X95,
	O => X36_NET00005_X95
);
X36_I5 : OBUF port map(
	I => X36_NET00005_X95,
	O => PADWR
);
X36_I6 : OPAD port map(
	OPAD => PADWR
);
U1 : MEMCONTROL port map(
	BUSYB => BUSYB,
	PORTSELECT => PORTSELECT,
	READA => READA,
	WRITE_L => WRITE_L,
	WRITEB => WRITEB
);
X36_I7 : INV port map(
	I => X36_NET00002_X95,
	O => X36_NET00020_X95
);
L6 : MUX17 port map(
	MA(16) => ADDRA(16),
	MA(15) => ADDRA(15),
	MA(14) => ADDRA(14),
	MA(13) => ADDRA(13),
	MA(12) => ADDRA(12),
	MA(11) => ADDRA(11),
	MA(10) => ADDRA(10),
	MA(9) => ADDRA(9),
	MA(8) => ADDRA(8),
	MA(7) => ADDRA(7),
	MA(6) => ADDRA(6),
	MA(5) => ADDRA(5),
	MA(4) => ADDRA(4),
	MA(3) => ADDRA(3),
	MA(2) => ADDRA(2),
	MA(1) => ADDRA(1),
	MA(0) => ADDRA(0),
	MB(16) => ADDRB(16),
	MB(15) => ADDRB(15),
	MB(14) => ADDRB(14),
	MB(13) => ADDRB(13),
	MB(12) => ADDRB(12),
	MB(11) => ADDRB(11),
	MB(10) => ADDRB(10),
	MB(9) => ADDRB(9),
	MB(8) => ADDRB(8),
	MB(7) => ADDRB(7),
	MB(6) => ADDRB(6),
	MB(5) => ADDRB(5),
	MB(4) => ADDRB(4),
	MB(3) => ADDRB(3),
	MB(2) => ADDRB(2),
	MB(1) => ADDRB(1),
	MB(0) => ADDRB(0),
	O(16) => O(16),
	O(15) => O(15),
	O(14) => O(14),
	O(13) => O(13),
	O(12) => O(12),
	O(11) => O(11),
	O(10) => O(10),
	O(9) => O(9),
	O(8) => O(8),
	O(7) => O(7),
	O(6) => O(6),
	O(5) => O(5),
	O(4) => O(4),
	O(3) => O(3),
	O(2) => O(2),
	O(1) => O(1),
	O(0) => O(0),
	S => PORTSELECT
);
X36_I8 : OBUF port map(
	I => X36_NET00009_X95,
	O => PADCS
);
X36_I9 : OPAD port map(
	OPAD => PADCS
);
X36_I10 : GND port map(
	G => X36_NET00009_X95
);
X36_I874 : MD1 port map(
	O => PADADDR15
);
X36_I875 : OPAD port map(
	OPAD => PADADDR16
);
X36_I876 : FD port map(
	C => CLK,
	D => O(15),
	Q => X36_NET00001_X95
);
X36_I877 : FD port map(
	C => CLK,
	D => O(16),
	Q => X36_NET00004_X95
);
X36_I878 : OBUF port map(
	I => X36_NET00001_X95,
	O => PADADDR15
);
X36_I879 : OBUF port map(
	I => X36_NET00004_X95,
	O => PADADDR16
);
L1 : PADOUT15 port map(
	P(14) => PADADDR(14),
	P(13) => PADADDR(13),
	P(12) => PADADDR(12),
	P(11) => PADADDR(11),
	P(10) => PADADDR(10),
	P(9) => PADADDR(9),
	P(8) => PADADDR(8),
	P(7) => PADADDR(7),
	P(6) => PADADDR(6),
	P(5) => PADADDR(5),
	P(4) => PADADDR(4),
	P(3) => PADADDR(3),
	P(2) => PADADDR(2),
	P(1) => PADADDR(1),
	P(0) => PADADDR(0)
);

end SCHEMATIC;