------------------------------------------------------
-- LogiBLOX OUT Module "OUTBUFREG17"
-- Created by LogiBLOX version C.18
--    on Tue Oct 19 09:30:15 1999
-- Attributes 
--    MODTYPE = OUT
--    BUS_WIDTH = 17
--    OUT_TYPE = REG
------------------------------------------------------
-- This is a behaviorial model only and cannot be synthesized.
------------------------------------------------------
LIBRARY IEEE;
USE IEEE.std_logic_1164.ALL;
LIBRARY logiblox;
USE logiblox.mvlutil.ALL;
USE logiblox.mvlarith.ALL;
USE logiblox.logiblox.ALL;

ENTITY OUTBUFREG17 IS
  PORT(
    O: IN std_logic_vector(16 DOWNTO 0);
    OCLOCK: IN std_logic;
    P: OUT std_logic_vector(16 DOWNTO 0));
END OUTBUFREG17;

ARCHITECTURE sim OF OUTBUFREG17 IS
  SIGNAL D : std_logic_vector(16 DOWNTO 0);
  SIGNAL START_PULSE: std_logic := '1';
BEGIN
  P <= D;
  PROCESS
  BEGIN
    IF (
       (OCLOCK'EVENT AND stdbit2mvl(OCLOCK)='1' AND stdbit2mvl(OCLOCK'LAST_VALUE)='0')
       OR ( stdbit2mvl(START_PULSE)='1')
      ) THEN
      IF (START_PULSE = '1') THEN
        D <= ('0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0','0');
      ELSE
        D <= stdvec2mvl(O);
      END IF;
    ELSIF (
       (stdbit2mvl(OCLOCK) = 'X')
      ) THEN
      D <= ('X','X','X','X','X','X','X','X','X','X','X','X','X','X','X','X','X');
    END IF;
      WAIT ON O, OCLOCK, START_PULSE;
  END PROCESS;

  PROCESS
  BEGIN
      IF (START_PULSE='1') THEN
        START_PULSE <= '0' AFTER 1 ns;
      END IF;
    WAIT ON START_PULSE;
  END PROCESS;

END sim;
