-- ACTIVE-CAD-2-VHDL, 2.5.5.70, Wed Oct 27 14:17:13 1999

library IEEE;
use IEEE.std_logic_1164.all;
-- Simulation netlist only
-- synopsys translate_off
library UNISIM;
use UNISIM.vcomponents.all;
-- synopsys translate_on

entity vgacam is port (
	PC_D0 : in STD_LOGIC;
	PC_D1 : in STD_LOGIC;
	PAD_CLK : in STD_LOGIC;
	PAR0 : out STD_LOGIC;
	PAR1 : out STD_LOGIC
); end VGACAM;

architecture SCHEMATIC of VGACAM is

--COMPONENTS

component IBUF port (
	I : in STD_LOGIC;
	O : out STD_LOGIC
); end component;

component OBUFT port (
	T : in STD_LOGIC;
	I : in STD_LOGIC;
	O : out STD_LOGIC
); end component;

component INV port (
	I : in STD_LOGIC;
	O : out STD_LOGIC
); end component;

component AND4B4 port (
	I0 : in STD_LOGIC;
	I1 : in STD_LOGIC;
	I2 : in STD_LOGIC;
	I3 : in STD_LOGIC;
	O : out STD_LOGIC
); end component;

component BUFG port (
	I : in STD_LOGIC;
	O : out STD_LOGIC
); end component;

component CAMERAIN port (
	CAMDATAOUT : out STD_LOGIC_VECTOR (7 downto 0);
	COLADDR : out STD_LOGIC_VECTOR (7 downto 0);
	ROWADDR : out STD_LOGIC_VECTOR (7 downto 0);
	BUSY : in STD_LOGIC;
	CLK : in STD_LOGIC;
	WRITE : out STD_LOGIC
); end component;

component VGACONTROL8 port (
	PIXEL : in STD_LOGIC_VECTOR (7 downto 0);
	HCNT : out STD_LOGIC_VECTOR (9 downto 0);
	VCNT : out STD_LOGIC_VECTOR (9 downto 0);
	BLANK : in STD_LOGIC;
	CLK : in STD_LOGIC
); end component;

component FD port (
	C : in STD_LOGIC;
	D : in STD_LOGIC;
	Q : out STD_LOGIC
); end component;

component MEM2PORT port (
	ADDRA : in STD_LOGIC_VECTOR (16 downto 0);
	ADDRB : in STD_LOGIC_VECTOR (16 downto 0);
	WRITEDATAB : in STD_LOGIC_VECTOR (7 downto 0);
	READDATA : out STD_LOGIC_VECTOR (7 downto 0);
	CLK : in STD_LOGIC;
	READA : in STD_LOGIC;
	WRITEB : in STD_LOGIC;
	BUSYB : out STD_LOGIC
); end component;

component GND port (
	G : out STD_LOGIC
); end component;

--SIGNALS

signal SIGN_GND : STD_LOGIC;
signal X36_NET00056_X95 : STD_LOGIC;
signal READA : STD_LOGIC;
signal CLK : STD_LOGIC;
signal X36_NET00063_X95 : STD_LOGIC;
signal X36_NET00064_X95 : STD_LOGIC;
signal X36_NET00065_X95 : STD_LOGIC;
signal X36_NET00066_X95 : STD_LOGIC;
signal X36_NET00067_X95 : STD_LOGIC;
signal X36_NET00068_X95 : STD_LOGIC;
signal X36_NET00069_X95 : STD_LOGIC;
signal X36_NET00070_X95 : STD_LOGIC;
signal PC_D0_ASSIGN_IPAD : STD_LOGIC;
signal PC_D1_ASSIGN_IPAD : STD_LOGIC;
signal PAD_CLK_ASSIGN_IPAD : STD_LOGIC;
signal PAR0_ASSIGN_OPAD : STD_LOGIC;
signal PAR1_ASSIGN_OPAD : STD_LOGIC;
signal NET00018 : STD_LOGIC;
signal NET00019 : STD_LOGIC;
signal NET00020 : STD_LOGIC;
signal NET00021 : STD_LOGIC;
signal NET00022 : STD_LOGIC;
signal NET00023 : STD_LOGIC;
signal NET00024 : STD_LOGIC;
signal NET00025 : STD_LOGIC;
signal NET00026 : STD_LOGIC;
signal NET00027 : STD_LOGIC;
signal NET00028 : STD_LOGIC;
signal NET00029 : STD_LOGIC;
signal NET00030 : STD_LOGIC;
signal NET00031 : STD_LOGIC;
signal NET00032 : STD_LOGIC;
signal NET00033 : STD_LOGIC;

signal ROWADDR : STD_LOGIC_VECTOR (7 downto 0);
signal HCNT : STD_LOGIC_VECTOR (9 downto 0);
signal VCNT : STD_LOGIC_VECTOR (9 downto 0);
signal COLADDR : STD_LOGIC_VECTOR (7 downto 0);

--ATRIBUTES





begin

--SIGNAL ASSIGNMENTS

PC_D0_ASSIGN_IPAD <= PC_D0;
PC_D1_ASSIGN_IPAD <= PC_D1;
PAD_CLK_ASSIGN_IPAD <= PAD_CLK;
PAR0 <= PAR0_ASSIGN_OPAD;
PAR1 <= PAR1_ASSIGN_OPAD;

--COMPONENT INSTANCES

X36_I754 : IBUF port map(
	I => PC_D1_ASSIGN_IPAD,
	O => X36_NET00065_X95
);
X36_I773 : OBUFT port map(
	T => X36_NET00066_X95,
	I => X36_NET00066_X95,
	O => PAR1_ASSIGN_OPAD
);
X36_I770 : IBUF port map(
	I => PC_D0_ASSIGN_IPAD,
	O => X36_NET00067_X95
);
X36_I758 : INV port map(
	I => X36_NET00067_X95,
	O => X36_NET00066_X95
);
X36_I759 : INV port map(
	I => X36_NET00065_X95,
	O => X36_NET00056_X95
);
X36_I868 : AND4B4 port map(
	I0 => HCNT(8),
	I1 => HCNT(9),
	I2 => VCNT(8),
	I3 => VCNT(9),
	O => READA
);
X36_I869 : INV port map(
	I => READA,
	O => X36_NET00064_X95
);
X36_I756 : BUFG port map(
	I => X36_NET00070_X95,
	O => CLK
);
H1 : CAMERAIN port map(
	CAMDATAOUT(7) => NET00018,
	CAMDATAOUT(6) => NET00019,
	CAMDATAOUT(5) => NET00020,
	CAMDATAOUT(4) => NET00021,
	CAMDATAOUT(3) => NET00022,
	CAMDATAOUT(2) => NET00023,
	CAMDATAOUT(1) => NET00024,
	CAMDATAOUT(0) => NET00025,
	COLADDR(7) => COLADDR(7),
	COLADDR(6) => COLADDR(6),
	COLADDR(5) => COLADDR(5),
	COLADDR(4) => COLADDR(4),
	COLADDR(3) => COLADDR(3),
	COLADDR(2) => COLADDR(2),
	COLADDR(1) => COLADDR(1),
	COLADDR(0) => COLADDR(0),
	ROWADDR(7) => ROWADDR(7),
	ROWADDR(6) => ROWADDR(6),
	ROWADDR(5) => ROWADDR(5),
	ROWADDR(4) => ROWADDR(4),
	ROWADDR(3) => ROWADDR(3),
	ROWADDR(2) => ROWADDR(2),
	ROWADDR(1) => ROWADDR(1),
	ROWADDR(0) => ROWADDR(0),
	BUSY => X36_NET00068_X95,
	CLK => CLK,
	WRITE => X36_NET00069_X95
);
H3 : VGACONTROL8 port map(
	PIXEL(7) => NET00026,
	PIXEL(6) => NET00027,
	PIXEL(5) => NET00028,
	PIXEL(4) => NET00029,
	PIXEL(3) => NET00030,
	PIXEL(2) => NET00031,
	PIXEL(1) => NET00032,
	PIXEL(0) => NET00033,
	HCNT(9) => HCNT(9),
	HCNT(8) => HCNT(8),
	HCNT(7) => HCNT(7),
	HCNT(6) => HCNT(6),
	HCNT(5) => HCNT(5),
	HCNT(4) => HCNT(4),
	HCNT(3) => HCNT(3),
	HCNT(2) => HCNT(2),
	HCNT(1) => HCNT(1),
	HCNT(0) => HCNT(0),
	VCNT(9) => VCNT(9),
	VCNT(8) => VCNT(8),
	VCNT(7) => VCNT(7),
	VCNT(6) => VCNT(6),
	VCNT(5) => VCNT(5),
	VCNT(4) => VCNT(4),
	VCNT(3) => VCNT(3),
	VCNT(2) => VCNT(2),
	VCNT(1) => VCNT(1),
	VCNT(0) => VCNT(0),
	BLANK => X36_NET00063_X95,
	CLK => CLK
);
X36_I873 : FD port map(
	C => CLK,
	D => X36_NET00064_X95,
	Q => X36_NET00063_X95
);
X36_I751 : IBUF port map(
	I => PAD_CLK_ASSIGN_IPAD,
	O => X36_NET00070_X95
);
H2 : MEM2PORT port map(
	ADDRA(16) => GND,
	ADDRA(15) => VCNT(7),
	ADDRA(14) => VCNT(6),
	ADDRA(13) => VCNT(5),
	ADDRA(12) => VCNT(4),
	ADDRA(11) => VCNT(3),
	ADDRA(10) => VCNT(2),
	ADDRA(9) => VCNT(1),
	ADDRA(8) => VCNT(0),
	ADDRA(7) => HCNT(7),
	ADDRA(6) => HCNT(6),
	ADDRA(5) => HCNT(5),
	ADDRA(4) => HCNT(4),
	ADDRA(3) => HCNT(3),
	ADDRA(2) => HCNT(2),
	ADDRA(1) => HCNT(1),
	ADDRA(0) => HCNT(0),
	ADDRB(16) => GND,
	ADDRB(15) => ROWADDR(7),
	ADDRB(14) => ROWADDR(6),
	ADDRB(13) => ROWADDR(5),
	ADDRB(12) => ROWADDR(4),
	ADDRB(11) => ROWADDR(3),
	ADDRB(10) => ROWADDR(2),
	ADDRB(9) => ROWADDR(1),
	ADDRB(8) => ROWADDR(0),
	ADDRB(7) => COLADDR(7),
	ADDRB(6) => COLADDR(6),
	ADDRB(5) => COLADDR(5),
	ADDRB(4) => COLADDR(4),
	ADDRB(3) => COLADDR(3),
	ADDRB(2) => COLADDR(2),
	ADDRB(1) => COLADDR(1),
	ADDRB(0) => COLADDR(0),
	WRITEDATAB(7) => NET00018,
	WRITEDATAB(6) => NET00019,
	WRITEDATAB(5) => NET00020,
	WRITEDATAB(4) => NET00021,
	WRITEDATAB(3) => NET00022,
	WRITEDATAB(2) => NET00023,
	WRITEDATAB(1) => NET00024,
	WRITEDATAB(0) => NET00025,
	READDATA(7) => NET00026,
	READDATA(6) => NET00027,
	READDATA(5) => NET00028,
	READDATA(4) => NET00029,
	READDATA(3) => NET00030,
	READDATA(2) => NET00031,
	READDATA(1) => NET00032,
	READDATA(0) => NET00033,
	CLK => CLK,
	READA => READA,
	WRITEB => X36_NET00069_X95,
	BUSYB => X36_NET00068_X95
);
X36_I752 : OBUFT port map(
	T => X36_NET00056_X95,
	I => X36_NET00056_X95,
	O => PAR0_ASSIGN_OPAD
);
X36_I871 : GND port map(
	G => SIGN_GND
);

end SCHEMATIC;