-- ACTIVE-CAD-2-VHDL, 2.5.5.70, Wed Oct 27 14:17:26 1999

library IEEE;
use IEEE.std_logic_1164.all;
-- Simulation netlist only
-- synopsys translate_off
library UNISIM;
use UNISIM.vcomponents.all;
-- synopsys translate_on

entity VGACONTROL8 is port (
	PIXEL : in STD_LOGIC_VECTOR (7 downto 0);
	HCNT : out STD_LOGIC_VECTOR (9 downto 0);
	VCNT : out STD_LOGIC_VECTOR (9 downto 0);
	BLANK : in STD_LOGIC;
	CLK : in STD_LOGIC
); end VGACONTROL8;

architecture SCHEMATIC of VGACONTROL8 is

--COMPONENTS

component HCOUNTER port (
	Q_OUT : out STD_LOGIC_VECTOR (9 downto 0);
	TERM_CNT : out STD_LOGIC;
	CLOCK : in STD_LOGIC
); end component;

component VCOUNTER port (
	Q_OUT : out STD_LOGIC_VECTOR (9 downto 0);
	CLOCK : in STD_LOGIC;
	CLK_EN : in STD_LOGIC
); end component;

component SYNCGEN port (
	VCNT : in STD_LOGIC_VECTOR (9 downto 1);
	HCNT : in STD_LOGIC_VECTOR (9 downto 0);
	HSYNC : out STD_LOGIC;
	VSYNC : out STD_LOGIC
); end component;

component BLANKPIXEL port (
	DATAOUT : out STD_LOGIC_VECTOR (7 downto 0);
	DATAIN : in STD_LOGIC_VECTOR (7 downto 0);
	BLANK : in STD_LOGIC
); end component;

component PADOUTREG8 port (
	P : out STD_LOGIC_VECTOR (7 downto 0);
	O : in STD_LOGIC_VECTOR (7 downto 0);
	OCLOCK : in STD_LOGIC
); end component;

component OBUF port (
	I : in STD_LOGIC;
	O : out STD_LOGIC
); end component;

component OPAD port (
	OPAD : in STD_LOGIC
); end component;

component PADOUT8 port (
	P : inout STD_LOGIC_VECTOR (7 downto 0)
); end component;

--SIGNALS

signal X36_NET00040_X95 : STD_LOGIC;
signal PADVSYNC : STD_LOGIC;
signal X36_NET00043_X95 : STD_LOGIC;
signal PADHSYNC : STD_LOGIC;
signal X36_NET00045_X95 : STD_LOGIC;
signal HCNT9_ASSIGN_HCNT9 : STD_LOGIC;
signal VCNT9_ASSIGN_VCNT9 : STD_LOGIC;
signal HCNT8_ASSIGN_HCNT8 : STD_LOGIC;
signal HCNT7_ASSIGN_HCNT7 : STD_LOGIC;
signal HCNT6_ASSIGN_HCNT6 : STD_LOGIC;
signal HCNT5_ASSIGN_HCNT5 : STD_LOGIC;
signal HCNT4_ASSIGN_HCNT4 : STD_LOGIC;
signal HCNT3_ASSIGN_HCNT3 : STD_LOGIC;
signal HCNT2_ASSIGN_HCNT2 : STD_LOGIC;
signal HCNT1_ASSIGN_HCNT1 : STD_LOGIC;
signal HCNT0_ASSIGN_HCNT0 : STD_LOGIC;
signal VCNT8_ASSIGN_VCNT8 : STD_LOGIC;
signal VCNT7_ASSIGN_VCNT7 : STD_LOGIC;
signal VCNT6_ASSIGN_VCNT6 : STD_LOGIC;
signal VCNT5_ASSIGN_VCNT5 : STD_LOGIC;
signal VCNT4_ASSIGN_VCNT4 : STD_LOGIC;
signal VCNT3_ASSIGN_VCNT3 : STD_LOGIC;
signal VCNT2_ASSIGN_VCNT2 : STD_LOGIC;
signal VCNT1_ASSIGN_VCNT1 : STD_LOGIC;
signal NET00036 : STD_LOGIC;
signal NET00037 : STD_LOGIC;
signal NET00038 : STD_LOGIC;
signal NET00039 : STD_LOGIC;
signal NET00040 : STD_LOGIC;
signal NET00041 : STD_LOGIC;
signal NET00042 : STD_LOGIC;
signal NET00043 : STD_LOGIC;

signal PADRGB : STD_LOGIC_VECTOR (7 downto 0);

--ATRIBUTES

attribute BUS_WIDTH : string;
attribute COUNT_TO : string;
attribute ENCODING : string;
attribute MODTYPE : string;
attribute OPTYPE : string;
attribute STYLE : string;
attribute OUT_TYPE : string;
attribute EXT : string;

attribute BUS_WIDTH of L1: label is "10";
attribute COUNT_TO of L1: label is "759";
attribute ENCODING of L1: label is "BINARY";
attribute MODTYPE of L1: label is "COUNTER";
attribute OPTYPE of L1: label is "UP";
attribute STYLE of L1: label is "MIN_AREA";
attribute BUS_WIDTH of L4: label is "10";
attribute COUNT_TO of L4: label is "527";
attribute ENCODING of L4: label is "BINARY";
attribute MODTYPE of L4: label is "COUNTER";
attribute OPTYPE of L4: label is "UP";
attribute STYLE of L4: label is "MIN_AREA";
attribute BUS_WIDTH of L12: label is "8";
attribute OUT_TYPE of L12: label is "REG";
attribute MODTYPE of L12: label is "OUT";
attribute EXT of X36_I14: label is "OPAD";
attribute EXT of X36_I15: label is "OPAD";
attribute BUS_WIDTH of L11: label is "8";
attribute OPTYPE of L11: label is "OUT";
attribute MODTYPE of L11: label is "PAD";



begin

--SIGNAL ASSIGNMENTS

HCNT(9) <= HCNT9_ASSIGN_HCNT9;
VCNT(9) <= VCNT9_ASSIGN_VCNT9;
HCNT(8) <= HCNT8_ASSIGN_HCNT8;
HCNT(7) <= HCNT7_ASSIGN_HCNT7;
HCNT(6) <= HCNT6_ASSIGN_HCNT6;
HCNT(5) <= HCNT5_ASSIGN_HCNT5;
HCNT(4) <= HCNT4_ASSIGN_HCNT4;
HCNT(3) <= HCNT3_ASSIGN_HCNT3;
HCNT(2) <= HCNT2_ASSIGN_HCNT2;
HCNT(1) <= HCNT1_ASSIGN_HCNT1;
HCNT(0) <= HCNT0_ASSIGN_HCNT0;
VCNT(8) <= VCNT8_ASSIGN_VCNT8;
VCNT(7) <= VCNT7_ASSIGN_VCNT7;
VCNT(6) <= VCNT6_ASSIGN_VCNT6;
VCNT(5) <= VCNT5_ASSIGN_VCNT5;
VCNT(4) <= VCNT4_ASSIGN_VCNT4;
VCNT(3) <= VCNT3_ASSIGN_VCNT3;
VCNT(2) <= VCNT2_ASSIGN_VCNT2;
VCNT(1) <= VCNT1_ASSIGN_VCNT1;

--COMPONENT INSTANCES

L1 : HCOUNTER port map(
	Q_OUT(9) => HCNT9_ASSIGN_HCNT9,
	Q_OUT(8) => HCNT8_ASSIGN_HCNT8,
	Q_OUT(7) => HCNT7_ASSIGN_HCNT7,
	Q_OUT(6) => HCNT6_ASSIGN_HCNT6,
	Q_OUT(5) => HCNT5_ASSIGN_HCNT5,
	Q_OUT(4) => HCNT4_ASSIGN_HCNT4,
	Q_OUT(3) => HCNT3_ASSIGN_HCNT3,
	Q_OUT(2) => HCNT2_ASSIGN_HCNT2,
	Q_OUT(1) => HCNT1_ASSIGN_HCNT1,
	Q_OUT(0) => HCNT0_ASSIGN_HCNT0,
	TERM_CNT => X36_NET00040_X95,
	CLOCK => CLK
);
L4 : VCOUNTER port map(
	Q_OUT(9) => VCNT9_ASSIGN_VCNT9,
	Q_OUT(8) => VCNT8_ASSIGN_VCNT8,
	Q_OUT(7) => VCNT7_ASSIGN_VCNT7,
	Q_OUT(6) => VCNT6_ASSIGN_VCNT6,
	Q_OUT(5) => VCNT5_ASSIGN_VCNT5,
	Q_OUT(4) => VCNT4_ASSIGN_VCNT4,
	Q_OUT(3) => VCNT3_ASSIGN_VCNT3,
	Q_OUT(2) => VCNT2_ASSIGN_VCNT2,
	Q_OUT(1) => VCNT1_ASSIGN_VCNT1,
	Q_OUT(0) => VCNT(0),
	CLOCK => CLK,
	CLK_EN => X36_NET00040_X95
);
U2 : SYNCGEN port map(
	VCNT(9) => VCNT9_ASSIGN_VCNT9,
	VCNT(8) => VCNT8_ASSIGN_VCNT8,
	VCNT(7) => VCNT7_ASSIGN_VCNT7,
	VCNT(6) => VCNT6_ASSIGN_VCNT6,
	VCNT(5) => VCNT5_ASSIGN_VCNT5,
	VCNT(4) => VCNT4_ASSIGN_VCNT4,
	VCNT(3) => VCNT3_ASSIGN_VCNT3,
	VCNT(2) => VCNT2_ASSIGN_VCNT2,
	VCNT(1) => VCNT1_ASSIGN_VCNT1,
	HCNT(9) => HCNT9_ASSIGN_HCNT9,
	HCNT(8) => HCNT8_ASSIGN_HCNT8,
	HCNT(7) => HCNT7_ASSIGN_HCNT7,
	HCNT(6) => HCNT6_ASSIGN_HCNT6,
	HCNT(5) => HCNT5_ASSIGN_HCNT5,
	HCNT(4) => HCNT4_ASSIGN_HCNT4,
	HCNT(3) => HCNT3_ASSIGN_HCNT3,
	HCNT(2) => HCNT2_ASSIGN_HCNT2,
	HCNT(1) => HCNT1_ASSIGN_HCNT1,
	HCNT(0) => HCNT0_ASSIGN_HCNT0,
	HSYNC => X36_NET00043_X95,
	VSYNC => X36_NET00045_X95
);
U6 : BLANKPIXEL port map(
	DATAOUT(7) => NET00036,
	DATAOUT(6) => NET00037,
	DATAOUT(5) => NET00038,
	DATAOUT(4) => NET00039,
	DATAOUT(3) => NET00040,
	DATAOUT(2) => NET00041,
	DATAOUT(1) => NET00042,
	DATAOUT(0) => NET00043,
	DATAIN(7) => PIXEL(7),
	DATAIN(6) => PIXEL(6),
	DATAIN(5) => PIXEL(5),
	DATAIN(4) => PIXEL(4),
	DATAIN(3) => PIXEL(3),
	DATAIN(2) => PIXEL(2),
	DATAIN(1) => PIXEL(1),
	DATAIN(0) => PIXEL(0),
	BLANK => BLANK
);
L12 : PADOUTREG8 port map(
	P(7) => PADRGB(7),
	P(6) => PADRGB(6),
	P(5) => PADRGB(5),
	P(4) => PADRGB(4),
	P(3) => PADRGB(3),
	P(2) => PADRGB(2),
	P(1) => PADRGB(1),
	P(0) => PADRGB(0),
	O(7) => NET00036,
	O(6) => NET00037,
	O(5) => NET00038,
	O(4) => NET00039,
	O(3) => NET00040,
	O(2) => NET00041,
	O(1) => NET00042,
	O(0) => NET00043,
	OCLOCK => CLK
);
X36_I12 : OBUF port map(
	I => X36_NET00043_X95,
	O => PADHSYNC
);
X36_I13 : OBUF port map(
	I => X36_NET00045_X95,
	O => PADVSYNC
);
X36_I14 : OPAD port map(
	OPAD => PADHSYNC
);
X36_I15 : OPAD port map(
	OPAD => PADVSYNC
);
L11 : PADOUT8 port map(
	P(7) => PADRGB(7),
	P(6) => PADRGB(6),
	P(5) => PADRGB(5),
	P(4) => PADRGB(4),
	P(3) => PADRGB(3),
	P(2) => PADRGB(2),
	P(1) => PADRGB(1),
	P(0) => PADRGB(0)
);

end SCHEMATIC;